<?php
/*Plugin Name: Customize Social Feed
Description: Display the Facebook Feeds on your website. Its completely customizable, responsive and search engine optimization feeds contents.
Version: 1.2.7
Author: Weblizar
Author URI: https://weblizar.com
Plugin URI: https://weblizar.com/customize-facebook-feed
License: GPLv2 or later
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
define( "Wl_FACEBOOK_FEED_URL", plugin_dir_url( __FILE__ ) );
define( "Wl_FACEBOOK_FEED", "Wl_FACEBOOK_FEED" );
/*** Get Ready Plugin Translation ***/
add_action( 'plugins_loaded', 'WlFeeedTranslation' );
//Add Translation
function WlFeeedTranslation() {
	load_plugin_textdomain( Wl_FACEBOOK_FEED, false, dirname( plugin_basename( __FILE__ ) ) . '/lang/' );
}

//Add menu
add_action( 'admin_menu', 'wl_fb_menu_pages' );
function wl_fb_menu_pages() {
	$adminmenu2 = add_submenu_page( 'edit.php?post_type=wl_fb_feed', esc_html__('Overview', Wl_FACEBOOK_FEED), esc_html__('Overview', Wl_FACEBOOK_FEED), 'administrator', 'wl-overview-setting-page', 'wl_fb_feed_admin_overview' );
	$adminmenu3 = add_submenu_page( 'eodit.php?post_type=wl_fb_feed', esc_html__('Upgrade To Pro', Wl_FACEBOOK_FEED), esc_html__('Upgrade To Pro', Wl_FACEBOOK_FEED), 'administrator', 'wl-upgrade-to-pro-setting-page', 'wl_fb_feed_admin_upgrade_to_pro' );
	add_action( 'admin_print_styles-' . $adminmenu2, 'wl_facebook_feeds_pro_page_function_js_css' );
	add_action( 'admin_print_styles-' . $adminmenu3, 'wl_facebook_feeds_pro_page_function_js_css' );
}

//css and js script for admin
function wl_facebook_feeds_pro_page_function_js_css() {
	/*back end*/
	wp_enqueue_style( 'bootstrap', Wl_FACEBOOK_FEED_URL . '/css/bootstrap.min.css');
	wp_enqueue_style( 'fb_feed_option_css', Wl_FACEBOOK_FEED_URL . '/css/option-style.css');
	wp_enqueue_style( 'font-awesome', Wl_FACEBOOK_FEED_URL . 'css/all.min.css' );
	wp_enqueue_style( 'fb_feed_jquery_ui', Wl_FACEBOOK_FEED_URL . 'css/jquery-ui.css' );
	wp_enqueue_style( 'fb_feed_custom_style', Wl_FACEBOOK_FEED_URL . 'css/custom-style.css' );

	//admin-page script
	wp_enqueue_script( 'jquery' );
	wp_enqueue_script('popper', Wl_FACEBOOK_FEED_URL.'js/popper.min.js');
	wp_enqueue_script( 'fb_feed_tabs_custom_admin_page_js', Wl_FACEBOOK_FEED_URL . 'js/admin-page.js', array( 'jquery' ), true );
	wp_enqueue_script( 'bootstrap', Wl_FACEBOOK_FEED_URL . '/js/bootstrap.min.js', array( 'jquery' ) );
}

//Add feed tab page
function wl_fb_feed_admin() {
	include( "admin/admin-page.php" );
}

//Add overview page
function wl_fb_feed_admin_overview() {
	include( "admin/admin-overview.php" );
}

//Add overview page
function wl_fb_feed_admin_upgrade_to_pro() {
	include( "admin/admin-upgrade-to-pro.php" );
}

//Add overview page
function wl_fb_feed_admin_help_and_pro() {
	include( "admin/admin-help-support.php" );
}

//like box page
function wl_fb_feed_like_box() {
	include( "admin/admin-like-box.php" );
}

//css and js for front end
function wl_feed_pro_code_script() {
	global $post;
	if ( isset( $post->post_content ) && is_singular( array('post',	'page' ) ) && has_shortcode( $post->post_content, 'WFP' ) || is_active_widget( false, false, 'customize_facebook_widget_feed' ) ) {
		//css
		wp_enqueue_style( 'bootstrap', Wl_FACEBOOK_FEED_URL . 'css/bootstrap.min.css', array(), true );
		wp_enqueue_style( 'fb_feed_custom_css', Wl_FACEBOOK_FEED_URL . 'css/front-end-css/custom.css', array(), true );
		wp_enqueue_style( 'font-awesome', Wl_FACEBOOK_FEED_URL . 'css/all.min.css' );
		wp_enqueue_style( 'fb_feed_style_css', Wl_FACEBOOK_FEED_URL . 'css/front-end-css/weblizar-feed-style.css', array(), true );
		wp_enqueue_style( 'fb_feed_custom_css_lightbox', Wl_FACEBOOK_FEED_URL . 'css/front-end-css/SimpleSlider.css', array(), true );
		wp_enqueue_style( 'fb_feed_demo_css_css', Wl_FACEBOOK_FEED_URL . 'css/front-end-css/demo.css', array(), true );
		//js
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script('popper', Wl_FACEBOOK_FEED_URL.'js/popper.min.js');
		wp_enqueue_script( 'bootstrap', Wl_FACEBOOK_FEED_URL . 'js/bootstrap.min.js', array( 'jquery' ) );
		wp_enqueue_script( 'fb_feed_anime_min_js', Wl_FACEBOOK_FEED_URL . 'js/front-end-js/anime.min.js' );
		wp_enqueue_script( 'fb_feed_custom_js', Wl_FACEBOOK_FEED_URL . 'js/front-end-js/custom.js', array( 'jquery' ) );
	}
}

add_action( 'wp_enqueue_scripts', 'wl_feed_pro_code_script' );
//shortcode file
require( "shortcode/customize-facebook-feed-shortcode.php" );
//widget file
require( "customize-facebook-feed-widget.php" );
//comment and author display file
require( "shortcode/like_comment.php" );

//Custom Post Type code start
class wl_fb_feed_shortcode_and_widget {
	public function __construct() {
		if ( is_admin() ) {
			add_action( 'init', array( &$this, 'wl_fb_feed_Shortcode' ) );
			add_action( 'add_meta_boxes', array( &$this, 'customize_feed_Add_all_wl_fb_feed_meta_boxes' ), 1 );
			add_action( 'admin_enqueue_scripts', array( &$this, 'customize_feed_my_wl_fb_feed_style_files' ), 1 );
			add_action( 'save_post', array( &$this, 'customize_wfp_save_fag_meta_box_save' ), 9, 1 );
		}
	}

	//css and js for Custom Post Type
	public function customize_feed_my_wl_fb_feed_style_files() {
		global $post_type;
		if ( $post_type == 'wl_fb_feed' ) {
			wp_enqueue_style( 'wp-color-picker' );
			wp_enqueue_script( 'wp-color-picker' );
			wp_enqueue_script( 'fb_feeds_custom_js', Wl_FACEBOOK_FEED_URL . '/js/custom.js' );
			wp_enqueue_style( 'bootstrap', Wl_FACEBOOK_FEED_URL . 'css/bootstrap.min.css', array(), true );
			wp_enqueue_style( 'font-awesome', Wl_FACEBOOK_FEED_URL . 'css/all.min.css' );
			wp_enqueue_style( 'fb_feed_custom_styles', Wl_FACEBOOK_FEED_URL . 'css/custom-style.css' );
			wp_enqueue_script('popper', Wl_FACEBOOK_FEED_URL.'js/popper.min.js');
			wp_enqueue_script( 'bootstrap', Wl_FACEBOOK_FEED_URL . '/js/bootstrap.min.js', array( 'jquery' ) );
			wp_enqueue_script( 'fb-feed-tool-tip-js1', Wl_FACEBOOK_FEED_URL . 'css/tooltip/jquery.darktooltip.min.js', array( 'jquery' ) );
			wp_enqueue_style( 'fb-feed-tool-tip-css1', Wl_FACEBOOK_FEED_URL . 'css/tooltip/darktooltip.min.css' );

		}
	}

	// Register Custom Post Type
	public function wl_fb_feed_Shortcode() {
		$labels = array(
			'name'               => esc_html__( 'Customize Social Feed', 'post type general name', Wl_FACEBOOK_FEED ),
			'singular_name'      => esc_html__( 'Customize Social Feed', 'post type singular name', Wl_FACEBOOK_FEED ),
			'menu_name'          => esc_html__( 'Customize Social Feed', Wl_FACEBOOK_FEED ),
			'add_new'            => esc_html__( 'Add New', Wl_FACEBOOK_FEED ),
			'add_new_item'       => esc_html__( 'Add New', Wl_FACEBOOK_FEED ),
			'edit_item'          => esc_html__( 'Edit Customize Social Feed', Wl_FACEBOOK_FEED ),
			'new_item'           => esc_html__( 'New Customize Social Feed', Wl_FACEBOOK_FEED ),
			'view_item'          => esc_html__( 'View Customize Social Feed', Wl_FACEBOOK_FEED ),
			'search_items'       => esc_html__( 'Search Customize Social Feed', Wl_FACEBOOK_FEED ),
			'not_found'          => esc_html__( 'No data found', Wl_FACEBOOK_FEED ),
			'not_found_in_trash' => esc_html__( 'No data found in Trash', Wl_FACEBOOK_FEED ),
			'parent_item_colon'  => esc_html__( 'Parent wl_fb_feed:', Wl_FACEBOOK_FEED ),
			'all_items'          => esc_html__( 'All Feeds', Wl_FACEBOOK_FEED ),
		);
		$args   = array(
			'labels'              => $labels,
			'hierarchical'        => false,
			'supports'            => array( 'title' ),
			'public'              => false,
			'show_ui'             => true,
			'show_in_menu'        => true,
			'menu_position'       => 65,
			'menu_icon'           => 'dashicons-facebook-alt',
			'show_in_nav_menus'   => false,
			'publicly_queryable'  => false,
			'exclude_from_search' => true,
			'has_archive'         => true,
			'query_var'           => true,
			'can_export'          => true,
			'rewrite'             => false,
			'capability_type'     => 'post'
		);
		register_post_type( 'wl_fb_feed', $args );
		add_filter( 'manage_edit-wl_fb_feed_columns', array( &$this, 'wl_fb_feed_columns' ) );
		add_action( 'manage_wl_fb_feed_posts_custom_column', array( &$this, 'wl_fb_feed_manage_columns' ), 10, 2 );
	}

	// Custom Post Type date and title display
	function wl_fb_feed_columns( $columns ) {
		$columns = array(
			'cb'        => '<input type="checkbox" />',
			'title'     => esc_html__( 'Customize Social Feed' ),
			'shortcode' => esc_html__( 'Customize Social Feed Shortcode' ),
			'author'    => esc_html__( 'Author' ),
			'date'      => esc_html__( 'Date' )
		);

		return $columns;
	}

	// Custom Post Type shortcode display
	function wl_fb_feed_manage_columns( $column, $post_id ) {
		global $post;
		switch ( $column ) {
			case 'shortcode' :
				echo '<input type="text" value="[WFP id=' . $post_id . ']" readonly="readonly" />';
				break;
			default :
				break;
		}
	}

	//add metaboxes

	public function customize_feed_Add_all_wl_fb_feed_meta_boxes() {
		add_meta_box( esc_html__( 'Add Images', Wl_FACEBOOK_FEED ), esc_html__( 'Settings', Wl_FACEBOOK_FEED ), array(
			&$this,
			'wl_fb_feed_meta_box_setting_function'
		), 'wl_fb_feed', 'normal', 'low' );
		add_meta_box( esc_html__( 'Add set-tt-ings', Wl_FACEBOOK_FEED ), esc_html__( 'View settings', Wl_FACEBOOK_FEED ), array(
			&$this,
			'customize_ffp_meta_box_setting_function'
		), 'wl_fb_feed', 'normal', 'low' );
		add_meta_box( esc_html__( 'Customize Social Feed Shortcode', Wl_FACEBOOK_FEED ), esc_html__( 'Customize Social Feed Shortcode', Wl_FACEBOOK_FEED ), array(
			&$this,
			'WFP_shotcode_meta_box_function'
		), 'wl_fb_feed', 'side', 'low' );
		add_meta_box( esc_html__( 'Facebook Feed Pro', Wl_FACEBOOK_FEED ), esc_html__( 'Facebook Feed Pro', Wl_FACEBOOK_FEED ), array(
			$this,
			'customize_ffp_upgrade_to_meta_box_function'
		), 'wl_fb_feed', 'side', 'low' );
		add_meta_box( esc_html__( 'Show us some love, Rate Us', Wl_FACEBOOK_FEED ), esc_html__( 'Show us some love, Rate Us', Wl_FACEBOOK_FEED ), array(
			&$this,
			'customize_ffp_Rate_us_meta_box_function'
		), 'wl_fb_feed', 'side', 'low' );
	}

	//add setting page
	public function wl_fb_feed_meta_box_setting_function( $post ) {
		require( "admin/settings.php" );
	}

	//add setting page of general settings
	public function customize_ffp_meta_box_setting_function( $post ) {
		require( "admin/general.php" );
	}

	//Rate Us Meta Box
	public function customize_ffp_Rate_us_meta_box_function() { ?>
        <div align="center">
            <p><?php esc_html_e( 'Please Review & Rate Us On WordPress', Wl_FACEBOOK_FEED ); ?></p>
            <a class="upgrade-to-pro-demo ffp-rate-us" style=" text-decoration: none; height: 40px; width: 40px;"
               href="https://wordpress.org/plugins/customize-facebook-feed/#reviews" target="_blank">
                <span class="dashicons dashicons-star-filled"></span>
                <span class="dashicons dashicons-star-filled"></span>
                <span class="dashicons dashicons-star-filled"></span>
                <span class="dashicons dashicons-star-filled"></span>
                <span class="dashicons dashicons-star-filled"></span>
            </a>
        </div>
        <div style="text-align:center;margin-bottom:10px;margin-top:10px;">
            <a href="https://wordpress.org/plugins/customize-facebook-feed/#reviews" target="_blank"
               class="button button-primary button-hero"><?php esc_html_e( 'RATE US', Wl_FACEBOOK_FEED ); ?></a>
        </div>
		<?php
	}

	//Upgrade To Meta Box
	public function customize_ffp_upgrade_to_meta_box_function() {
		$imgpath = Wl_FACEBOOK_FEED_URL . "admin/images/fb_pro.jpg";
		?>
        <div class="">
            <div class="update_pro_button">
				<a target="_blank"  href="https://weblizar.com/plugins/facebook-feed-pro/"><?php esc_html_e( 'Buy Now $19', Wl_FACEBOOK_FEED ); ?></a>
            </div>
            <div class="update_pro_image">
                <img class="fb_getpro" src="<?php echo esc_url($imgpath); ?>">
            </div>
            <div class="update_pro_button">
                <a class="upg_anch" target="_blank"
                   href="https://weblizar.com/plugins/facebook-feed-pro/"><?php esc_html_e( 'Buy Now $19', Wl_FACEBOOK_FEED ); ?></a>
            </div>
        </div>
		<?php
	}

	//display short code on custom post type page
	public function WFP_shotcode_meta_box_function() { ?>
        <p><?php esc_html_e( "Use below shortcode in any Page/Post to publish your Author information", Wl_FACEBOOK_FEED ); ?></p>
        <input readonly="readonly" type="text" value="<?php echo "[WFP id=" . get_the_ID() . "]"; ?>">
	<?php }

	//save data in database
	public function customize_wfp_save_fag_meta_box_save( $PostID ) {
		if ( isset( $_REQUEST['ffp_type'] ) && wp_verify_nonce( $_POST['customize_feed_security'], 'customize_feed_security_action' ) ) {
			if ( isset( $_REQUEST['ffp_timeline_statuses'] ) ) {
				$ffp_timeline_statuses = "statuses";
			} else {
				$ffp_timeline_statuses = "none";
			}
			if ( isset( $_REQUEST['ffp_timeline_photos'] ) ) {
				$ffp_timeline_photos = "photos";
			} else {
				$ffp_timeline_photos = "none";
			}
			if ( isset( $_REQUEST['ffp_timeline_videos'] ) ) {
				$ffp_timeline_videos = "videos";
			} else {
				$ffp_timeline_videos = "none";
			}
			if ( isset( $_REQUEST['ffp_timeline_links'] ) ) {
				$ffp_timeline_links = "links";
			} else {
				$ffp_timeline_links = "none";
			}
			if ( isset( $_REQUEST['ffp_timeline_events'] ) ) {
				$ffp_timeline_events = "events";
			} else {
				$ffp_timeline_events = "none";
			}
			if ( isset( $_REQUEST['ffp_header_check'] ) ) {
				$ffp_header_check = "yes";
			} else {
				$ffp_header_check = "none";
			}
			if ( isset( $_REQUEST['post_author_name'] ) ) {
				$post_author_name = "yes";
			} else {
				$post_author_name = "none";
			}
			if ( isset( $_REQUEST['post_author_img'] ) ) {
				$post_author_img = "yes";
			} else {
				$post_author_img = "none";
			}
			if ( isset( $_REQUEST['ffp_post_date'] ) ) {
				$ffp_post_date = "yes";
			} else {
				$ffp_post_date = "none";
			}
			if ( isset( $_REQUEST['comments_author_name'] ) ) {
				$comments_author_name = "yes";
			} else {
				$comments_author_name = "none";
			}
			if ( isset( $_REQUEST['comments_author_img'] ) ) {
				$comments_author_img = "yes";
			} else {
				$comments_author_img = "none";
			}
			if ( isset( $_REQUEST['comments_post_date'] ) ) {
				$comments_post_date = "yes";
			} else {
				$comments_post_date = "none";
			}
			if ( isset( $_REQUEST['comments_message_desc'] ) ) {
				$comments_message_desc = "yes";
			} else {
				$comments_message_desc = "none";
			}
			if ( isset( $_REQUEST['comments_reply_count'] ) ) {
				$comments_reply_count = "yes";
			} else {
				$comments_reply_count = "none";
			}
			if ( isset( $_REQUEST['Show_post_likes'] ) ) {
				$Show_post_likes = "yes";
			} else {
				$Show_post_likes = "none";
			}
			if ( isset( $_REQUEST['post_share_buttons'] ) ) {
				$post_share_buttons = "yes";
			} else {
				$post_share_buttons = "none";
			}
			if ( isset( $_REQUEST['facebook_share_facebook'] ) ) {
				$facebook_share_facebook = "yes";
			} else {
				$facebook_share_facebook = "none";
			}
			if ( isset( $_REQUEST['view_on_facebook'] ) ) {
				$view_on_facebook = "yes";
			} else {
				$view_on_facebook = "none";
			}
			if ( isset( $_REQUEST['event_image'] ) ) {
				$event_image = "yes";
			} else {
				$event_image = "none";
			}
			if ( isset( $_REQUEST['event_title'] ) ) {
				$event_title = "yes";
			} else {
				$event_title = "none";
			}
			if ( isset( $_REQUEST['event_date'] ) ) {
				$event_date = "yes";
			} else {
				$event_date = "none";
			}
			if ( isset( $_REQUEST['event_place'] ) ) {
				$event_place = "yes";
			} else {
				$event_place = "none";
			}
			if ( isset( $_REQUEST['event_interested'] ) ) {
				$event_interested = "yes";
			} else {
				$event_interested = "none";
			}
			if ( isset( $_REQUEST['event_going'] ) ) {
				$event_going = "yes";
			} else {
				$event_going = "none";
			}
			if ( isset( $_REQUEST['event_buy_ticket'] ) ) {
				$event_buy_ticket = "yes";
			} else {
				$event_buy_ticket = "none";
			}
			if ( isset( $_REQUEST['event_description'] ) ) {
				$event_description = "yes";
			} else {
				$event_description = "none";
			}
			if ( isset( $_REQUEST['facebook_share_linkedin'] ) ) {
				$facebook_share_linkedin = "yes";
			} else {
				$facebook_share_linkedin = "none";
			}
			if ( isset( $_REQUEST['ffp_header_share_btn'] ) ) {
				$ffp_header_share_btn = "yes";
			} else {
				$ffp_header_share_btn = "none";
			}
			if ( isset( $_REQUEST['ffp_header_logo_show'] ) ) {
				$ffp_header_logo_show = "yes";
			} else {
				$ffp_header_logo_show = "none";
			}
			if ( isset( $_REQUEST['see_more_text'] ) ) {
				$see_more_text = "yes";
			} else {
				$see_more_text = "none";
			}
			if ( isset( $_REQUEST['show_like_count'] ) ) {
				$show_like_count = "yes";
			} else {
				$show_like_count = "none";
			}
			if ( isset( $_REQUEST['show_share_count'] ) ) {
				$show_share_count = "yes";
			} else {
				$show_share_count = "none";
			}
			if ( isset( $_REQUEST['show_comment_count'] ) ) {
				$show_comment_count = "yes";
			} else {
				$show_comment_count = "none";
			}
			if ( isset( $_REQUEST['ffp_header_logo_title'] ) ) {
				$ffp_header_logo_title = "yes";
			} else {
				$ffp_header_logo_title = "none";
			}
			if ( isset( $_REQUEST['wfp_show_access_token'] ) ) {
				$wfp_show_access_token = "yes";
			} else {
				$wfp_show_access_token = "none";
			}
			if ( isset( $_REQUEST['ffp_specific'] ) ) {
				$ffp_specific = "";
			} else {
				$ffp_specific = "";
			}
			$WFFParray[]  = array(
				'ffp_type'                 => sanitize_text_field( $_REQUEST['ffp_type'] ),
				'ffp_page_url'             => sanitize_text_field( $_REQUEST['ffp_page_identifier'] ),
				'ffp_content_type'         => sanitize_text_field( $_REQUEST['ffp_content_type'] ),
				'ffp_timeline_type'        => sanitize_text_field( $_REQUEST['ffp_timeline_type'] ),
				'ffp_timeline_statuses'    => sanitize_key( $ffp_timeline_statuses ),
				'ffp_timeline_photos'      => sanitize_key( $ffp_timeline_photos ),
				'ffp_timeline_videos'      => sanitize_key( $ffp_timeline_videos ),
				'ffp_timeline_links'       => sanitize_key( $ffp_timeline_links ),
				'ffp_timeline_events'      => sanitize_key( $ffp_timeline_events ),
				'ffp_specific'             => sanitize_text_field( $ffp_specific ),
				'ffp_limit'                => sanitize_text_field( $_REQUEST['ffp_limit'] ),
				'ffp_light_Box'            => sanitize_text_field( $_REQUEST['ffp_light_Box'] ),
				'ffp_gallery_Layout'       => sanitize_text_field( $_REQUEST['ffp_gallery_Layout'] ),
				'ffp_timeline_layout'      => sanitize_text_field( $_REQUEST['ffp_timeline_layout'] ),
				'ffp_gallery_effect'       => sanitize_text_field( $_REQUEST['ffp_gallery_effect'] ),
				'ffp_hover_color'          => sanitize_hex_color( $_REQUEST['ffp_hover_color'] ),
				'ffp_loading_effect'       => sanitize_text_field( $_REQUEST['ffp_loading_effect'] ),
				'ffp_header_check'         => sanitize_key( $ffp_header_check ),
				'post_author_name'         => sanitize_key( $post_author_name ),
				'post_author_img'          => sanitize_key( $post_author_img ),
				'ffp_post_date'            => sanitize_key( $ffp_post_date ),
				'comments_author_name'     => sanitize_key( $comments_author_name ),
				'comments_author_img'      => sanitize_key( $comments_author_img ),
				'comments_post_date'       => sanitize_key( $comments_post_date ),
				'comments_message_desc'    => sanitize_key( $comments_message_desc ),
				'comments_reply_count'     => sanitize_key( $comments_reply_count ),
				'Show_post_likes'          => sanitize_key( $Show_post_likes ),
				'post_share_buttons'       => sanitize_key( $post_share_buttons ),
				'facebook_share_facebook'  => sanitize_key( $facebook_share_facebook ),
				'view_on_facebook'         => sanitize_key( $view_on_facebook ),
				'event_image'              => sanitize_key( $event_image ),
				'event_title'              => sanitize_key( $event_title ),
				'event_date'               => sanitize_key( $event_date ),
				'event_place'              => sanitize_key( $event_place ),
				'event_interested'         => sanitize_key( $event_interested ),
				'event_going'              => sanitize_key( $event_going ),
				'event_buy_ticket'         => sanitize_key( $event_buy_ticket ),
				'event_description'        => sanitize_key( $event_description ),
				'ffp_image_onclick_action' => sanitize_text_field( $_REQUEST['ffp_image_onclick_action'] ),
				'facebook_share_linkedin'  => sanitize_text_field( $facebook_share_linkedin ),
				'post_background_color'    => sanitize_hex_color( $_REQUEST['post_background_color'] ),
				'event_background_color'   => sanitize_hex_color( $_REQUEST['event_background_color'] ),
				'feed_font_style'          => sanitize_text_field( $_REQUEST['feed_font_style'] ),
				'post_text_length'         => sanitize_text_field( $_REQUEST['post_text_length'] ),
				'post_date_format'         => sanitize_text_field( $_REQUEST['post_date_format'] ),
				'ffp_header_share_btn'     => sanitize_key( $ffp_header_share_btn ),
				'ffp_header_logo_show'     => sanitize_key( $ffp_header_logo_show ),
				'ffp_header_logo_title'    => sanitize_key( $ffp_header_logo_title ),
				'see_more_text'            => sanitize_text_field( $see_more_text ),
				'post_content_color'       => sanitize_hex_color( $_REQUEST['post_content_color'] ),
				'ffp_customs_css'          => sanitize_text_field( $_REQUEST['ffp_customs_css'] ),
				'show_like_count'          => sanitize_key( $show_like_count ),
				'show_share_count'         => sanitize_key( $show_share_count ),
				'show_comment_count'       => sanitize_key( $show_comment_count ),
				'view_on_facebook'         => sanitize_key( $view_on_facebook ),
				'wfp_show_access_token'    => sanitize_key( $wfp_show_access_token ),
				'wfp_access_token'         => sanitize_text_field( $_REQUEST['wfp_access_token'] ),
			);
			$wfp_Settings = "wfp_Settings_" . $PostID;
			update_post_meta( $PostID, $wfp_Settings, serialize( $WFFParray ) );
		}
	}
}    //save data in database end

//create object of wl_fb_feed_shortcode_and_widget class
global $wl_fb_feed_shortcode_and_widget;
$wl_fb_feed_shortcode_and_widget = new wl_fb_feed_shortcode_and_widget();

/* Facebook Feed Shortcode Button in Page/Post*/
add_action( 'media_buttons_context', 'wl_add_wffp_custom_button' );
function wl_add_wffp_custom_button( $context ) {
	$container_id = 'WLFFP';
	$title        = 'Select Facebook Feed Shortcode to insert into post';
	$context      .= '<a class="button button-primary thickbox" title="Select Customize Social Feed shortcode to insert into post" href="#TB_inline?width=400&inlineId=' . $container_id . '">
		Customize Social Feed Shortcode
		</a>';

	return $context;
}

add_action( 'admin_footer', 'wl_add_wffp_inline_popup_content' );
function wl_add_wffp_inline_popup_content() { ?>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            jQuery('#customize_face_book_feed').on('click', function () {
                var id = jQuery('#customize_face_book_feed_select option:selected').val();
                window.send_to_editor('<p>[WFP id=' + id + ']</p>');
                tb_remove();
            })
        });
    </script>
    <div id="WLFFP" style="display:none;">
        <h3><?php esc_html_e( 'Select Customize Social Feed shortcode to insert into post', Wl_FACEBOOK_FEED ); ?></h3>
		<?php
		$all_posts = wp_count_posts( 'wl_fb_feed' )->publish;
		$args      = array( 'post_type' => 'wl_fb_feed', 'posts_per_page' => $all_posts );
		global $ffp_galleries;
		$ffp_galleries = new WP_Query( $args );
		if ( $ffp_galleries->have_posts() ) { ?>
            <select id="customize_face_book_feed_select">
				<?php
				while ( $ffp_galleries->have_posts() ) :$ffp_galleries->the_post(); ?>
                    <option value="<?php echo esc_attr( get_the_ID() ); ?>"><?php the_title(); ?></option>
				<?php
				endwhile;
				?>
            </select>
            <button class='button primary'
                    id='customize_face_book_feed'><?php esc_html_e( 'Insert Customize Social Feed Shortcode', Wl_FACEBOOK_FEED ); ?></button>
			<?php
		} else {
			esc_html_e( 'No Customize Social Feed Found', Wl_FACEBOOK_FEED );
		} ?>
    </div>
	<?php
} /*Facebook Feed Shortcode Button in Page/Post end */

/*Plugin Setting Link*/
function wl_cff_settinglinks( $links ) {
	$fbw_pro_link  = '<a href="https://weblizar.com/plugins/facebook-feed-pro/" target="_blank">Get Premium</a>';
	$settings_link = '<a href="edit.php?post_type=wl_fb_feed">' . esc_html__( 'Settings', Wl_FACEBOOK_FEED ) . '</a>';
	array_unshift( $links, $fbw_pro_link, $settings_link );

	return $links;
}

$plugin_fbw = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$plugin_fbw", 'wl_cff_settinglinks' );

add_action( "admin_notices", "review_admin_notice_ffp_free" );
function review_admin_notice_ffp_free() {
	global $pagenow;
	$ffp_screen = get_current_screen();
	if ( $pagenow == 'edit.php' && $ffp_screen->post_type == "wl_fb_feed" ) {
		include( 'ffp-banner.php' );
	}
}
?>
