<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
set_error_handler(
	create_function(
		'$severity, $meassage, $file, $line',
		'throw new ErrorException($meassage, $severity, $severity, $file, $line);'
	)
);
try {
    $jsondata      = wp_remote_get( $page_event_string );
	$jsondata      = wp_remote_retrieve_body( $jsondata );
	$weblizar_data = json_decode( $jsondata, true );
	if ( isset( $weblizar_data['events']['data'] ) ) {
		$weblizar_count = sizeof( $weblizar_data['events']['data'] );
		$owner_id       = ""; ?>
        <div role="tabpanel" class="tab-pane zoom-icon" id="weblizar-fb-blog_event">
            <div class="weblizar-fb-gallaries  grid  grid--effect-alphard weblizar_<?php echo esc_attr($p_o_s_t); ?> weblizar_gallery_<?php echo esc_attr($p_o_s_t); ?>">
				<?php for ( $y = 0; $y < $ffp_limit; $y ++ ) {
					if ( isset( $weblizar_data['events']['data'][ $y ]['owner']['id'] ) ) {
						$owner_id = $weblizar_data['events']['data'][ $y ]['owner']['id'];
					}
					if ( isset( $weblizar_data['events']['data'][ $y ]['id'] ) ) { ?>
                        <div class="weblizar-fb-event-blog-plugin clearfix custom_box_gallary event_background_color">
							<?php if ( isset( $weblizar_data['events']['data'][ $y ]['cover']['source'] ) ) {
								if ( $event_image == "yes" ) {
									if ( $ffp_image_onclick_action == "lightbox" ) { ?>
                                        <div class="col-md-5 col-sm-12 col-xs-12 weblizar-fb-event-blog-img  <?php if ( $ffp_light_Box == "lightbox_custom_2" ) {
											echo esc_attr($video_lightbox_class);
										} ?>">
											<?php if ( $ffp_light_Box == "lightbox_custom_2" ) { ?>
                                                <!--cover image-->
                                                <span class="weblizar_span_img">
												<img src="<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['cover']['source']); ?>"
                                                     class="img-responsive weblizar-evnt-fb-img">
											  </span>
											<?php } else { ?>
                                                <!--light-box display button-->
                                                <a class="weblizar-evnt-fb-a <?php echo esc_attr($video_lightbox_class); ?>" <?php echo esc_html($video_lightbox_class2 ); ?>
                                                   href="<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['cover']['source']); ?>">
                                                    <img src="<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['cover']['source']); ?>"
                                                         class="img-responsive weblizar-evnt-fb-img">
                                                </a>
											<?php }
											if ( $ffp_light_Box == 'lightbox_custom_2' ) { ?>
                                                <dialog style="display:none"
                                                        id="box_<?php echo esc_attr($owner_id . "_" . $weblizar_data['events']['data'][ $y ]['id']); ?>"
                                                        data-id="<?php echo esc_attr($owner_id . "_" . $weblizar_data['events']['data'][ $y ]['id']); ?>"
                                                        feed-type="post" feed-post="event"
                                                        feed-token="<?php echo esc_attr($token); ?>">
                                                    <div class="inner_box_<?php echo esc_attr($owner_id . "_" . $weblizar_data['events']['data'][ $y ]['id']); ?>"></div>
                                                </dialog>
											<?php } ?>
                                        </div>
									<?php }
									/*if light-box set none */
									if ( $ffp_image_onclick_action == "none" || $ffp_image_onclick_action == "facebook" ) { ?>
                                        <div class="col-md-5 col-sm-12 col-xs-12 weblizar-fb-event-blog-img">
                                            <a href="weblizar-evnt-fb-a <?php if ( $ffp_image_onclick_action == "facebook" ) {
												echo "http://facebook.com/events/" . $weblizar_data['events']['data'][ $y ]['id'];
											} else {
												echo "javascript:void(0)";
											} ?>">
                                                <img src="<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['cover']['source']); ?>"
                                                     class="img-responsive weblizar-evnt-fb-img">
                                            </a>
                                        </div>
									<?php } /*if light-box set none end */
								}
							} ?>
                            <div class="col-md-7 col-sm-12 col-xs-12 weblizar-fb-col-event">
                                <div class="weblizar-fb-event-blog-details">
									<?php if ( isset( $weblizar_data['events']['data'][ $y ]['name'] ) ) {
										if ( $event_title == "yes" ) { ?>
                                            <!--event title-->
                                            <h4 class="weblizar-fb-media-heading"><a class="event_title"
                                                                                     href="https://www.facebook.com/events/<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['id']); ?>"><?php echo esc_html($weblizar_data['events']['data'][ $y ]['name']); ?></a>
                                            </h4>
										<?php }
									}
									if ( isset( $weblizar_data['events']['data'][ $y ]['start_time'] ) ) {
										if ( $event_date == "yes" ) { ?>
                                            <!--event start time-->
                                            <h5 class="weblizar-fb-datetime event_date"><?php $s = strtotime( $weblizar_data['events']['data'][ $y ]['start_time'] );
												echo date( "F", strtotime( $s ) ) . ' ';
												echo esc_html($dates = date( 'd-Y', $s )); ?></h5>
										<?php }
									}
									if ( isset( $weblizar_data['events']['data'][ $y ]['place']['name'] ) ) {
										if ( $event_place == "yes" ) { ?>
                                            <!--event place -->
                                            <p class="web_interes event_place"><?php echo esc_html($weblizar_data['events']['data'][ $y ]['place']['name']); ?> </p>
										<?php }
									} ?>
									<?php if ( isset( $weblizar_data['events']['data'][ $y ]['interested_count'] ) ) { ?>
                                    <div class="web_interes">
										<?php if ( $weblizar_data['events']['data'][ $y ]['interested_count'] != "0" ) {
											if ( $event_interested == "yes" ) { ?>
                                                <!--event start interested count-->
                                                <small class="event_interested"> <?php {
														echo esc_html($weblizar_data['events']['data'][ $y ]['interested_count'] . "&nbsp interested");
													} ?></small>
											<?php }
										}
										}
										if ( isset( $weblizar_data['events']['data'][ $y ]['attending_count'] ) ) {
										if ( $weblizar_data['events']['data'][ $y ]['attending_count'] != "0" ) {
											if ( $event_going == "yes" ) { ?>
                                                <!--event start going count-->
                                                <small class="event_going"><?php echo esc_html($weblizar_data['events']['data'][ $y ]['attending_count'] . "&nbsp going"); ?> </small>
											<?php }
										} ?>
                                    </div>
								<?php }
								if ( isset( $weblizar_data['events']['data'][ $y ]['description'] ) ) {
									if ( $event_description == "yes" ) { ?>
                                        <!--event start description-->
                                        <div class="weblizar-fb-event_desc">
                                            <p class="text weblizar-fb-card-p">
												<?php $text = $weblizar_data['events']['data'][ $y ]['description'];
												$reg_exUrl  = "/(((http|https|ftp|ftps)\:\/\/)|(www\.))[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\:[0-9]+)?(\/\S*)?/";
												if ( preg_match( $reg_exUrl, $text, $url ) ) {
													// make the urls hyper links
													$text = preg_replace( $reg_exUrl, "<a class='event_hastag_color' href='" . $url[0] . "' target='_blank'>" . $url[0] . "</a> ", $text );
												}
												//fetch hashtag from text
												$text = preg_replace( '/#(\\w+)/', '<a class=event_hastag_color href=https://www.facebook.com/hashtag/$1 target=_blank>$0</a>', $text );
												if ( $see_more_text == "yes" ) {
													if ( strlen( strip_tags( $text ) ) >= $post_text_length ) { ?>
                                                        <span class="weblizar-fb-teaser event_description"><?php echo substr( strip_tags( $text ), 0, $post_text_length ); ?></span>
                                                        <span class="weblizar-fb-complete event_description"
                                                              style="display:none"> <?php echo esc_html($text); ?></span>
                                                        <span data-text="...Show less"
                                                              class="facebook_feed_more see_more_text"><?php esc_html_e( '...See more', Wl_FACEBOOK_FEED ); ?></span>
													<?php } else { ?>
                                                        <span class="event_description"> <?php echo esc_html($text); ?></span>
													<?php }
												} else { ?>
                                                    <span class="event_description"> <?php echo esc_html($text); ?></span>
												<?php } ?>
                                            </p>
                                        </div>
									<?php }
								} ?>
                                </div>
                            </div>
                            <div class="weblizar-fb-card-footer  text-muted feed_event_desc col-md-7  col-xs-12">
                                <div class="weblizar-fb-card-footer-inner event_background_color">
                                    <div class="weblizar-fb-evnt-moment-link pull-left text-muted ">
                                        <ul class="wfb-evnt-social-media">
											<?php if ( $view_on_facebook == "yes" ) { ?>
                                                <li class="wfb-evnt-social-media-li">
                                                    <a class="wfb-evnt-social-media-li-a view_on_facebook_color"
                                                       href="https://www.facebook.com/events/<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['id']); ?>"
                                                       target="_blank"> <i class="fas fa-eye"> </i> </a>
                                                </li>
											<?php }
											if ( isset( $weblizar_data['events']['data'][ $y ]['ticket_uri'] ) ) {
												if ( $event_buy_ticket == "yes" ) { ?>
                                                    <!--event ticket uri-->
                                                    <li class="wfb-evnt-social-media-li">
                                                        <a class="event_buy_ticket wfb-evnt-social-media-li-a"
                                                           href="#<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['ticket_uri']); ?>"
                                                           target="_blank"> <?php esc_html_e( 'Buy ticket', Wl_FACEBOOK_FEED ); ?></a>
                                                    </li>
												<?php }
											} ?>
                                        </ul>
                                    </div>
                                    <!--share button start-->
									<?php if ( $post_share_buttons == "yes" ) { ?>
                                        <div class="weblizar-fb-social-link-2 pull-right">
                                            <ul class="weblizar-fb-social-link-2-ul">
                                                <li class="weblizar-fb-social-link-2-ul-li">
                                                    <!--share button-->
                                                    <a class="btn post_share_buttons weblizar-fb-social-link-2-a"
                                                       href="javascript:void(0)"> <i class="fas fa-share"> <span
                                                                    class="event_font_color"> </span>
                                                        </i> <?php esc_html_e( 'Share', Wl_FACEBOOK_FEED ); ?></a>
                                                    <ul class="weblizar-fb-social-link-2-block">
														<?php if ( $facebook_share_facebook == "yes" ) { ?>
                                                            <li class="weblizar-fb-social-link-2-li">
                                                                <!--facebook share button -->
                                                                <a class="weblizar-fb-social-link-2-li-a post_share_buttons"
                                                                   href="https://www.facebook.com/sharer/sharer.php?u=https://www.facebook.com/events/<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['id']); ?>">
                                                                    <i class="fas fa-facebook-square"> </i></a>
                                                            </li>
														<?php }
														if ( $facebook_share_google == "yes" ) { ?>
                                                            <!--google share button -->
                                                            <li class="weblizar-fb-social-link-2-li">
                                                                <a class="weblizar-fb-social-link-2-li-a post_share_buttons"
                                                                   href="https://plus.google.com/share?url=https://www.facebook.com/events/<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['id']); ?>">
                                                                    <i class="fas fa-google"> </i> </a>
                                                            </li>
														<?php }
														if ( $facebook_share_linkedin == "yes" ) { ?>
                                                            <!--linkedin share button -->
                                                            <li class="weblizar-fb-social-link-2-li">
                                                                <a class="weblizar-fb-social-link-2-li-a post_share_buttons"
                                                                   href="https://www.linkedin.com/shareArticle?mini=true&url=https://www.facebook.com/events/<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['id']); ?>">
                                                                    <i class="fas fa-linkedin"> </i> </a>
                                                            </li>
														<?php }
														if ( $facebook_share_twitter == "yes" ) { ?>
                                                            <!--twitter share button -->
                                                            <li class="weblizar-fb-social-link-2-li">
                                                                <a class="weblizar-fb-social-link-2-li-a post_share_buttons"
                                                                   href="https://twitter.com/intent/tweet?text=https://www.facebook.com/events/<?php echo esc_attr($weblizar_data['events']['data'][ $y ]['id']); ?>">
                                                                    <i class="fas fa-twitter-square"> </i> </a>
                                                            </li>
														<?php } ?>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </div>
									<?php } ?>
                                    <!--share button end-->
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </div>
					<?php }
				} ?>
            </div>
        </div>
        <div class="clearfix"></div>
	<?php } else { ?>
        <h3 style='color:red;'><?php esc_html_e( 'No event found', Wl_FACEBOOK_FEED ); ?></h3>
	<?php }
} catch ( Exception $e ) {
	echo esc_html($e->getMessage());
	esc_html_e( 'error in processing', Wl_FACEBOOK_FEED );
}
restore_error_handler(); ?>